Subject: bug#65029: Italics bug when Emacs runs inside GNU Screen

From: Gregory Heytings <[email-masked]>
Date: Sat, 19 Aug 2023 10:57:29 +0000

>>> Ping! Ping!  I'd like to resolve this issue in Emacs 29.2, if 
>>> possible. Please help me by providing the information I asked below.
>>
>> $ TERM=xterm infocmp -1 | grep -E 'ritm|sitm'
>>          ritm=\E[23m,
>>          sitm=\E[3m,
>> $ TERM=screen infocmp -1 | grep -E 'ritm|sitm'
>> $ TERM=tmux infocmp -1 | grep -E 'ritm|sitm'
>>          ritm=\E[23m,
>>          sitm=\E[3m,
>
> Thanks.
>
> This says AFAIU that screen doesn't support italics?
>

Yes.

>
> In which case it contradicts what James said:
>
>> GNU Screen added italics support on its master branch a while ago [1]. 
>> If I run Emacs (29.1) inside GNU Screen (master), there are strange 
>> font issues.
>
> Maybe that change is not yet distributed in the version of screen you 
> have installed, Gregory?
>

I have a fairly recent version:

$ screen --version
Screen version 4.09.00 (GNU) 30-Jan-22

A few messages were recently added to the ticket James mentioned:

https://savannah.gnu.org/bugs/?func=detailitem&item_id=36676

which IIUC mean that this issue will actually be fixed only in Screen 
5.0.0, which will be released next year.  However, I just built the latest 
version of Screen (master), and the problem is still present AFAICS.